package com.hfkj.service.impl;

import com.hfkj.dao.BsTradeSettleMapper;
import com.hfkj.entity.BsTradeSettle;
import com.hfkj.service.BsTradeSettleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @className: BsTradeSettleServiceImpl
 * @author: HuRui
 * @date: 2023/8/4
 **/
@Service("tradeSettleService")
public class BsTradeSettleServiceImpl implements BsTradeSettleService {

    @Resource
    private BsTradeSettleMapper tradeSettleMapper;

    @Override
    public void editData(BsTradeSettle tradeSettle) {
        if (tradeSettle.getId() == null) {
            tradeSettle.setStatus(1);
            tradeSettle.setCreateTime(new Date());
            tradeSettleMapper.insert(tradeSettle);
        } else {
            tradeSettleMapper.updateByPrimaryKey(tradeSettle);
        }
    }

    @Override
    public BsTradeSettle getDetailById(Long id) {
        return tradeSettleMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<BsTradeSettle> getTradeSettleList(Map<String, Object> param) {
        return null;
    }
}
